using IRaCIS.Core.Domain.Share;
namespace IRaCIS.Core.Domain.Models;

[Comment("受试者访视 - 临床数据配置")]
[Table("PreviousPDF")]
public class PreviousPDF : BaseAddAuditEntity
{
    #region 导航属性
    [JsonIgnore]
    public SubjectVisit SubjectVisit { get; set; }

    #endregion
    public Guid SubjectVisitId { get; set; }

    [StringLength(1000)]
    public string Path { get; set; } = string.Empty;

    public string FileName { get; set; } = string.Empty;
    public bool? IsVisist { get; set; }

    [Comment("临床级别")]
    public ClinicalLevel? ClinicalLevel { get; set; }

    [Comment("数据类型")]
    public ClinicalDataType? DataType { get; set; }

    [Comment("上传方式")]
    public ClinicalUploadType? UploadType { get; set; }

    public Guid? TrialId { get; set; }

    public Guid? SubjectId { get; set; }

}
